Package com.independentsoft.office.odf.styles

# Enum Class MeasureUnit

java.lang.Object
java.lang.Enum<MeasureUnit>
com.independentsoft.office.odf.styles.MeasureUnit

All Implemented Interfaces:
  `Serializable`, `Comparable<MeasureUnit>`, `Constable`

public enum MeasureUnit extends Enum<MeasureUnit>
Represents the unit of measurement used in the textual presentation of a measure shape.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTOMATIC`
  Unit of measurement chosen by consumer.
  `CENTIMETER`
  Centimeter.
  `FOOT`
  Foot.
  `INCH`
  Inch.
  `KILOMETER`
  Kilometer.
  `METER`
  Meter.
  `MILE`
  Mile.
  `MILLIMETER`
  Millimeter.
  `NONE`
  None.
  `PERCENTAGE`
  Percentage.
  `POINT`
  Point.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MeasureUnit`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static MeasureUnit[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTOMATIC

    public static final MeasureUnit AUTOMATIC
    Unit of measurement chosen by consumer.

  - ### MILLIMETER

    public static final MeasureUnit MILLIMETER
    Millimeter.

  - ### CENTIMETER

    public static final MeasureUnit CENTIMETER
    Centimeter.

  - ### METER

    public static final MeasureUnit METER
    Meter.

  - ### KILOMETER

    public static final MeasureUnit KILOMETER
    Kilometer.

  - ### POINT

    public static final MeasureUnit POINT
    Point.

  - ### PERCENTAGE

    public static final MeasureUnit PERCENTAGE
    Percentage.

  - ### INCH

    public static final MeasureUnit INCH
    Inch.

  - ### FOOT

    public static final MeasureUnit FOOT
    Foot.

  - ### MILE

    public static final MeasureUnit MILE
    Mile.

  - ### NONE

    public static final MeasureUnit NONE
    None.

- ## Method Details

  - ### values

    public static MeasureUnit[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MeasureUnit valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null